#
# spec file for package deutex
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
Name:           deutex
Version:        4.4.902
Release:        13.5
Group:          Development/Tools/Other
Summary:        WAD composer for Doom and related games
License:        GPL-2.0+
Url:            http://www.teaser.fr/~amajorel/deutex/

# This prerelease tarball is unfortunately not linked from the homepage,
# but referenced from
# http://doom-editing.gamehourz.com/DeuTex-release-candidate-ftopict85808.html
#Source:	http://www.teaser.fr/~amajorel/deutex/fungus/deutex-4.4.902.tar.gz
Source:         %name-%version.tar.xz
Patch1:         deutex-automake.diff
Patch2:         deutex-braces.diff
Patch3:         deutex-proto.diff
Patch4:         deutex-init-stdfp.diff
Patch5:         deutex-soundbuf.diff

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  xz
BuildRequires:  autoconf automake libtool
Provides:       deusf = %version

%description
DeuTex is a wad composer for Doom, Heretic, Hexen and Strife. It can
be used to extract the lumps of a wad and save them as individual
files. Conversely, it can also build a wad from separate files. When
extracting a lump to a file, it does not just copy the raw data, it
converts it to an appropriate format (such as PPM for graphics, Sun
audio for samples, etc.). Conversely, when it reads files for
inclusion in pwads, it does the necessary conversions (for example,
from PPM to Doom picture format). In addition, DeuTex has functions
such as merging wads, etc.

%prep
%setup -q
%patch -P 1 -P 2 -P 3 -P 4 -P 5 -p1

%build
autoreconf -fi;
%configure
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags};
iconv -f iso8859-1 -t utf-8 <deutex.6 >deutex.6.new;
iconv -f iso8859-1 -t utf-8 <dtexman6.txt >dtexman6.txt.new;
mv deutex.6.new deutex.6;
mv dtexman6.txt.new dtexman6.txt;

%install
make install DESTDIR="%buildroot";

%files
%defattr(-,root,root)
%_bindir/*
%doc %_mandir/*/*
%doc dtexman6.txt CHANGES COPYING COPYING.LIB FAQ

%changelog
* Wed Feb 22 2012 jreidinger@suse.com
- add explicit buildrequires for autotools
- use license format conforming SPDX
* Tue Jun  7 2011 jengelh@medozas.de
- update to deutex-4.4.902
- start specfile afresh
* Mon Aug 23 2010 jengelh@medozas.de
- (imported changelog entry from non-Fedora based spec file)
  * deutex-4.4.0 package
  * fixed crash in check_types
  * fix types such that deutex works on 64-bit
* Sat Nov  8 2008 prusnak@suse.cz
- fix overflows (overflow.patch)
* Sun Dec 23 2007 claes.backstrom@fsfe.org
- Initial package built from Fedora package (4.4.0-6)
